Test::AFC Class Reference

Test for AFC infrastructure More...

## Classes

class | TestSpace
| Test space. More...

## Public Member Functions

| AFC (void)
| Initialize test.
bool | run (void)
| Perform actual tests.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Protected Member Functions

int | space (TestSpace *s[])
| Return random index of non-null space.
int | index (void)
| Return random index.

## Static Protected Attributes

static const int | n_ops = 8 * 1024
| How many test operations to be performed.
static const int | n = 16
| How many spaces to maintain.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for AFC infrastructure

Definition at line 42 of file afc.cpp.

## Constructor & Destructor Documentation

## AFC()

Test::AFC::AFC | ( | void |  | ) |

inline

Initialize test.

Definition at line 83 of file afc.cpp.

## Member Function Documentation

## space()

int Test::AFC::space | ( | TestSpace * | s[] | ) |

inline protected

Return random index of non-null space.

Definition at line 71 of file afc.cpp.

## index()

int Test::AFC::index | ( | void |  | ) |

inline protected

Return random index.

Definition at line 78 of file afc.cpp.

## run()

bool Test::AFC::run | ( | void |  | ) |

inline virtual

Perform actual tests.

Implements Test::Base.

Definition at line 85 of file afc.cpp.

## Member Data Documentation

## n_ops

const int Test::AFC::n_ops = 8 * 1024

static protected

How many test operations to be performed.

Definition at line 67 of file afc.cpp.

## n

const int Test::AFC::n = 16

static protected

How many spaces to maintain.

Definition at line 69 of file afc.cpp.

The documentation for this class was generated from the following file:

- test/afc.cpp